.quantity {
    display: block;
    overflow: hidden;
    position: relative;
    background: $white;
 //   width: rem(80);
    height: rem(42);
    padding: 0 rem(40);
    border-radius: 5px;
    border: 1px solid #D7D7D7;
    $input-selector: "input[type=text], input[type=number]";

    #{$input-selector} {
        margin: 0;
        width: 100%;
        z-index: 10;
        height: rem(40);
        outline: none;
        color: var(--color-base);
        text-align: center;
        font-weight: 600;
        font-size: rem(14);
        line-height: rem(20);
        padding: rem(9) 0;
        border-radius: 0;
        position: relative;
        background: transparent;
        display: block;
        vertical-align: middle;
        border: rem(1) solid transparent;
        @include placeholder(transparent);

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            opacity: 1;
            outline: none;
            @include placeholder(transparent);

        }


        &.error {
            border-color: red !important;
        }
    }

    input[type="number"]::-webkit-outer-spin-button,
    input[type="number"]::-webkit-inner-spin-button {
        display: none;
    }

    &__button {
        top: 0;
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        width: rem(40);
        height: rem(40);
        background: transparent;
        cursor: pointer;
        position: absolute;

        &:after,
        &:before {
            top: calc(50% - 1px);
            left: calc(50% - 9px);
            z-index: 10;
            content: '';
            width: 18px;
            height: 2px;
            background: var(--color-primary);
            position: absolute;
        }

        &--minus {
            left: 0;
        }

        &--plus {
            right: 0;

            &:after {
                transform: rotate(90deg);
            }
        }
    }


    @include media-breakpoint-up(md) {}

    @include media-breakpoint-up(lg) {}
    @include media-breakpoint-up(xl) {}
}

